<?php 
/**
* actividad_confing.php
*
* aplicacin para configurar una actividad
*  
* 
* @package    	Plataforma Colectiva de Informacin Territorial: UBATIC2014
* @subpackage 	actividad
* @author     	Universidad de Buenos Aires
* @author     	<mario@trecc.com.ar>
* @author    	http://www.uba.ar/
* @author    	http://www.trecc.com.ar/recursos/proyectoubatic2014.htm
* @author		based on TReCC SA Procesos Participativos Urbanos, development. www.trecc.com.ar/recursos
* @copyright	2015 Universidad de Buenos Aires
* @copyright	esta aplicacin se desarrollo sobre una publicacin GNU 2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm), TReCC(tm) intraTReCC  y TReCC(tm) Procesos Participativos Urbanos.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
* 
*
*/

//if($_SERVER[SERVER_ADDR]=='192.168.0.252')ini_set('display_errors', '1');ini_set('display_startup_errors', '1');ini_set('suhosin.disable.display_errors','0'); error_reporting(-1);

// verificacin de seguridad 
include('./includes/conexion.php');
include('./includes/conexionusuario.php');

// funciones frecuentes
include("./includes/fechas.php");
include("./includes/cadenas.php");

$UsuarioI = $_SESSION['USUARIOID'];
if($UsuarioI==""){
	echo "usuario no identificado";break;
	header('Location: ./login.php');
}

// funcin de consulta de actividades a la base de datos 
include("./actividades_consulta.php");

$ID = isset($_GET['actividad'])?$_GET['actividad'] : '';

$Hoy_a = date("Y");
$Hoy_m = date("m");	
$Hoy_d = date("d");
$HOY = $Hoy_a."-".$Hoy_m."-".$Hoy_d;	

// define si se esta defininedo una argumentacin, de no ser as esta aplicacin solo devuelve un mensaje escrito
if(isset($_POST['actividad'])){
	$Actividad=$_POST['actividad'];
	$ACCION = $_POST['accion'];
}elseif(isset($_GET['actividad'])){
	$Actividad=$_GET['actividad'];
}else{
	$Actividad='';
}
if($Actividad==''){
	echo "ERROR de Acceso 1";break;	
	header('location: ./actividades.php');	//si no hay una actividad definida esta pgina no debera consultarse

}


// funcin para obtener la informacin de la actividad en cuestion 
$Contenido =  reset(actividadesconsulta($ID,$seleccion));
//echo "<pre>";print_r($Contenido);echo "</pre>";
if($UsuarioI==$Contenido['zz_AUTOUSUARIOCREAC']){
	$Administracion='activa';
}else{
	echo "($UsuarioI == ".$Contenido['zz_AUTOUSUARIOCREAC'];
	echo "ERROR de Acceso 2";break;	
	header('location: ./actividades.php');	//si no se es el autor de la actividad no se permite la configuracin
}

//funcion para extraer la estructura de la tabla de almacenamineto de la actividad
$c = mysql_query("SHOW FULL COLUMNS FROM `MAPAUBA`.`actividades`");
while($row = mysql_fetch_assoc($c)){
	$Tabla[$row['Field']]=$row;
};
$Tabla['ACTcategorias']['Comment']='Menu de categorias';
$Tabla['ACTcategorias']['Type']='TablaHija';
//print_r($Tabla);


// el reingreso a esta direccin desde su propio formulario php crea o modifica un registro de actividad 
if(isset($_POST['accion'])){
	$accion =$_POST['accion'];
			
	if($_POST['accion']=='guardar'){
		
		foreach($Contenido as $k => $v){				
			if(substr($k,0,3)!='zz_'&&$k!='id'&&$k!='geometria'&&$k!='GEO'){										 
				if(isset($_POST[$k])){						
					$set.="`$k`='".$_POST[$k]."', ";						
				}else{						
					
				}					
			}
		}
		
		if($_POST['accionpub']=='Publicar'){
			$set.="`zz_PUBLICO`='1', ";
		}
					
		$set= substr($set,0,-2);					
		
		$query = "		
			UPDATE 
				`MAPAUBA`.`actividades`
			SET
				$set
			WHERE `id` = '".$Actividad."'
			AND zz_AUTOUSUARIOCREAC = '".$UsuarioI."'";
		mysql_query($query,$Conec1);
		echo mysql_error($Conec1);

		$ID=$Actividad;
		
		//recarga los datos de la actividad
		$Contenido =  reset(actividadesconsulta($ID,$seleccion));
	}
}

	
// medicion de rendimiento lamp 
	$starttime = microtime(true);

// filtro de representacin restringe documentos visulazados, no altera datos estadistitico y de agregacin 
	$FILTRO=isset($_GET['filtro'])?$_GET['filtro']:'';	
	
// filtro temporal de representacin restringe documentos visulazados, no altera datos estadistitico y de agregacin 	
	$fechadesde_a=isset($_GET['fechadesde_a'])?str_pad($_GET['fechadesde_a'], 4, "0", STR_PAD_LEFT):'0000';
	$fechadesde_m=isset($_GET['fechadesde_m'])?str_pad($_GET['fechadesde_m'], 2, "0", STR_PAD_LEFT):'00';
	$fechadesde_d=isset($_GET['fechadesde_d'])?str_pad($_GET['fechadesde_d'], 2, "0", STR_PAD_LEFT):'00';
	if($fechadesde_a!='0000'&&$fechadesde_m!='00'&&$fechadesde_d!='00'){
		$FILTROFECHAD=$fechadesde_a."-".$fechadesde_m."-".$fechadesde_d;
	}else{
		$FILTROFECHAD='';
	}
	$fechahasta_a=isset($_GET['fechahasta_a'])?str_pad($_GET['fechahasta_a'], 4, "0", STR_PAD_LEFT):'0000';
	$fechahasta_m=isset($_GET['fechahasta_m'])?str_pad($_GET['fechahasta_m'], 2, "0", STR_PAD_LEFT):'00';
	$fechahasta_d=isset($_GET['fechahasta_d'])?str_pad($_GET['fechahasta_d'], 2, "0", STR_PAD_LEFT):'00';
	if($fechahasta_a!='0000'&&$fechahasta_m!='00'&&$fechahasta_d!='00'){
		$FILTROFECHAH=$fechahasta_a."-".$fechahasta_m."-".$fechahasta_d;
	}else{	
		$FILTROFECHAH='';
	}


?>

	<title>MAPAUBA - Registro de Actores para los procesos participativos</title>
	<?php include("./includes/meta.php");?>
	<link href="css/treccppu.css" rel="stylesheet" type="text/css">
	<link href="css/mapauba.css" rel="stylesheet" type="text/css">		
	
	<style type='text/css'>
	table{
		border-collapse: collapse;
	}
	td{
		border:1px solid gray;
	}
	td, tr, th, table{
		font-size:11px;
	}
		.dato.fecha{
		    width: 60px;
		}
		.dato.autor{
		    width: 90px;
		}		
		.dato.descripcion{
		    width: 180px;
		}		
		
		.dato.localizaciones, .dato.imagenes{
			font-size: 11px;
		}
		
		.elemento {
		    background-color: #ADD8E6;
		    border: 2px solid #08AFD9;
		    cursor: pointer;
		    display: inline-block;
		    font-size: 10px;
		    height: 14px;
		    overflow: hidden;
		    padding: 2px 1px;
		    position: relative;
		    width: 16px;
		 }
		 form{
		 	margin:0;
		 }
		 label{
		 	font-size:12px;
		 	width:200px;
		 	font-weight:normal;
		 	vertical-align:middle;
		 }
		 input.ano{
		 	width:60px;
		 }
		 input.mes{
		 	width:30px;
		 }
		 input.dia{
		 	width:30px;
		 }
		 input#C_resumen{
		 	width:500px;
		}
		input.cambiado{
			background-color:#fdd;
			color:#d00;
		}
		#L_valorAct, #L_valorAct, #L_valorDat, #L_valorUni, #L_textoAct, #L_textoDat, #L_categAct, #L_categDat, #L_categLib{
			width:130px;
		}
		div.emasc:after{
			color:red;
			content:"\A"; white-space:pre; 
		}
		textarea{
			height: 100px;
		    width: 780px;
		    font-size:12px;
		}
		table{
			width: 780px;
		}
		div.emasc{
			display:inline-block;
			border:1px solid #ccc;
			margin:1px;
			min-height:30px;
			 vertical-align: top;
		}
		div.emasc > input {
			vertical-align:middle;
		}
		#ventanaaccion{
			position:fixed;
			right:0px;
			top:350px;
			width:200px;
			height:300px;
		}		
	</style>
	
	
</head>

<body>
	
	<?php
	include('./includes/encabezado.php');
	
	if($ID!=''){
		echo "
		<div class='recuadro' id='recuadro2'>		
			<h4>Puntos visualizados del banco de datos</h4>
			<ul id='puntosdebase'>		
			</ul>	
		</div>
		<div class='recuadro' id='recuadro3' >
			<h4>Puntos relevados en esta actividad</h4>
			<ul id='puntosdeactividad'>		
			</ul>
		</div>
		<iframe src='' id='ventanaaccion' name='ventanaaccion'></iframe>
		";
		
	}
	?>
	
	
	<div id="pageborde"><div id="page">
		<h1>Actividad: <?php echo $Actividad['resumen'];?></h1>
		<?php
			if($Administracion=='activa'){
				echo "<a href='./actividad.php?actividad=$ID'>acceder a la seccin de trabajo</a>";
			}
		?>
		<p>En esta pgina de configuracin de la actividad seleccionada.</p>

		<iframe id='mapa' name='mapa' src='./MAPAactividad.php?actividad=<?php echo $Actividad;?>&consulta=creararea'></iframe>
		
		<?php
			// formulario para agregar una nueva actividad		
		if($ID==''){
				echo "la actividad no fue llamada correctamnte";
		}else{
			// formulario para modificar una actividad 
			
			echo "<form method='post' action='./actividad_config.php?actividad=$ID'>";
			echo "<input type='hidden' name='accion' value='guardar'>";
			
			echo "<input type='submit' value='guardar cambios'>";
			echo "<input type='submit' title='Al publicarse una actividad, permite la inscripcin de participantes y la carga de datos' name='accionpub' value='Publicar'><br>";
			echo "<input type='hidden' name='actividad' value='$ID'>";			
			foreach($Contenido as $k => $v){
				if(substr($k,0,3)!='zz_'&&$k!='id'&&$k!='geometria'&&$k!='GEO'){
					echo "<div class='emasc'>";
					if(isset($Tabla[$k])){
						echo "<label id='L_$k'>".$Tabla[$k]['Comment']."</label>";
						
						if($Tabla[$k]['Type']=='tinyint(1)'){
							if($v=='1'){$s="checked";}else{$s='';}		
							echo "<input type='hidden' name='$k' id='C_$k' value='$v'>";
							echo "<input $s type='checkbox' value='$v' campo='$k' onclick='check(this);'>";							
						}elseif($Tabla[$k]['Type']=='date'){
							echo "<input type='hidden' name='$k' id='C_$k' value='$v'>";
							echo "<input class='dia' campo='$k' id='C_".$k."_d' value='".dia($v)."' onchange='fechar(this);'>-";					
							echo "<input class='mes' campo='$k' id='C_".$k."_m' value='".mes($v)."' onchange='fechar(this);'>-";			
							echo "<input class='ano' campo='$k' id='C_".$k."_a' value='".ano($v)."' onchange='fechar(this);'> ";			
						
						}elseif($Tabla[$k]['Type']=='text'){
							echo "<textarea id='C_$k' name='$k'>$v</textarea>";
							
						}elseif($Tabla[$k]['Type']=='TablaHija'){
						
							echo "<input id='H_$k' name='' value='-agregar nuevo-' onclick='validarContenido(this);'>";
							echo "<input campo='nombre' accion='agrega' type='button' id='B_$k' onclick='crearRegHijo(this)' value='+'>";
							
							echo "<table id='T_$k'>";
							echo "<tr>";
								foreach(reset($v) as $ck => $cv){
									if(substr($ck,0,2)!='id'){
									echo "<td>".$ck."</td>";
									}
								}
								
							echo" </tr>";				
							foreach($v as $cat){
								echo "<tr>";
								foreach($cat as $ck => $cv){
									$val=$cv;
									if(substr($ck,0,2)!='id'){
										if(substr($ck,0,3)=='CO_'){
											$val="<div style='width:30px;height:10px;background-color:$cv;'></div>";
										}
									echo "<td>$val</td>";
									}
								}
								echo "<td><a target='_blank' href='agrega_f.php?accion=cambia&tabla=$k&id=".$cat['id']."' >editar<a></td>";
								echo" </tr>";
							}
							echo "</table>";
						}else{
							echo "<input id='C_$k' name='$k' value='$v'>";
						}
					}else{
						echo "<label>$k</label><p>$v</p>";
					}
					echo "</div>";
					if($Tabla[$k]['Type']=='TablaHija'){echo "<br>";}
				}
			}
			echo "</form>";
				
				
			$datosargumentacion = actividadesconsulta($ID);
			
			echo "</div>";
		}
		?>
	
	</div></div>
	
	<script type='text/javascript'>
		
		function validarContenido(_this){
			if(_this.value=='-agregar nuevo-'){
				_this.setAttribute('value','');
			}
		}
		
	
	</script>
	
	<script type='text/javascript'>
		function check(_this){//carga el valor en el campo oculto
			_c=_this.getAttribute('campo');
			_ch=_this.checked;
			if(_this.checked){
				document.getElementById('C_'+_c).value=1;
			}else{
				document.getElementById('C_'+_c).value=0;
			}
		}

		function fechar(_this){// carga el valor en el campo oculto de fecha completa
			_c=_this.getAttribute('campo');
			_vd=document.getElementById('C_'+_c+'_d').value;
			_vm=document.getElementById('C_'+_c+'_m').value;
			_va=document.getElementById('C_'+_c+'_a').value;
			document.getElementById('C_'+_c).value=_va+'-'+_vm+'-'+_vd;
			
		}	
		
		function crearRegHijo(_this){ //crea en la tabla de referencia un registro
			_c=_this.getAttribute('id');
			_campo=_this.getAttribute('campo');
			_tabla=_c.substring(2,_c.length);
			_accion=_this.getAttribute('accion');
			_valor=document.getElementById('H_'+_tabla).value;
			
			_form=document.getElementById('formMod');
			document.getElementById('InModAcc').setAttribute('value',_accion);
			document.getElementById('InModTab').setAttribute('value',_tabla);
			document.getElementById('InModDat').setAttribute('name',_campo);
			document.getElementById('InModDat').setAttribute('value',_valor);
			document.getElementById('InModTabHtml').setAttribute('value','T_'+_tabla);
			
			_form.submit();
		}	
	</script>

	
	<form target='ventanaaccion' id='formMod' action='./agrega.php' method='post'>
		<input id='InModAcc' name='accion' value=''>
		<input id='InModTab'  name='tabla' value=''>		
		<input id='InModDat'  name='' value=''>				
		<input id='InModAct'  name='id_p_actividades_id' value='<?php echo $ID;?>'>
		<input id='InModTabHtml'  name='TablaHtml' value='<?php echo $ID;?>'>
	</form>
	
	<?php
include('./includes/pie.php');
	/*medicion de rendimiento lamp*/
	$endtime = microtime(true);
	$duration = $endtime - $starttime;
	$duration = substr($duration,0,6);
	echo "<br>tiempo de respuesta : " .$duration. " segundos";
?>
</body>


<?php /*
<!-- este proyecto recurre al proyecto tiny_mce para las funciones de edicin de texto -->
<script type="text/javascript" src="./js/editordetexto/tiny_mce.js"></script>
<script type="text/javascript">

		tinyMCE.init({
				
	        // General options
	        mode : "textareas",
	        theme : "advanced",
	        plugins : "autolink,lists,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
	
			forced_root_block : "",
		    remove_linebreaks : true,
		    remove_trailing_nbsp : true,
		    force_br_newlines : false,
	        force_p_newlines : true,
		    fix_list_elements : false,
		    remove_linebreaks : true,
			width : "550px",
			height : "600px",
	
	        // Theme options
	        theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,formatselect,fontsizeselect|cut,copy,paste,pastetext,pasteword,|,bullist,numlist,|,link,unlink|visualchars,nonbreaking,blockquote|tablecontrols,|,removeformat,visualaid,",
	        theme_advanced_toolbar_location : "top",
	        theme_advanced_toolbar_align : "left",
	        theme_advanced_statusbar_location : "bottom",
	
	        // Skin options
	        skin : "o2k7",
	        skin_variant : "silver",
	
	        // Example content CSS (should be your site CSS)
	        content_css : "",
	
	        // Drop lists for link/image/media/template dialogs
	        template_external_list_url : "js/template_list.js",
	        external_link_list_url : "js/link_list.js",
	        external_image_list_url : "js/image_list.js",
	        media_external_list_url : "js/media_list.js",
	
	        // Replace values for the template plugin
	        template_replace_values : {
	                username : "Some User",
	                staffid : "991234"
	        }
		});
</script>
 **/ ?>
 */