<?php
/**
*BASEconsultas.php
*
* Esta aplicacin contiene las consultas a la base de datos del mapa colectivo.
* Los criterio de seleccin de puntos a vusualizar debe ser calibrado
* 
* @package    	Plataforma Colectiva de Informacin Territorial: UBATIC2014
* @subpackage 	base
* @author     	Universidad de Buenos Aires
* @author     	<mario@trecc.com.ar>
* @author    	http://www.uba.ar/
* @author    	http://www.trecc.com.ar/recursos/proyectoubatic2014.htm
* @author		based on TReCC SA Procesos Participativos Urbanos, development. www.trecc.com.ar/recursos
* @copyright	2015 Universidad de Buenos Aires
* @copyright	esta aplicacin se desarrollo sobre una publicacin GNU 2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm), TReCC(tm) intraTReCC  y TReCC(tm) Procesos Participativos Urbanos.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
* 
*
*/

function obtenerPuntos($Actividad,$Escala,$Nivel,$Area){

	include_once('./actividades_consulta.php');//funciones de consulta bsica de la base de datos
	
	$ActividadDta=reset(actividadesconsulta($Actividad,$seleccion));
	//print_r($ActividadDta);
	foreach($ActividadDta['GEO'] as $pId => $pData){
			$row=$pData;		
			$row['lon']=$pData['x'];
			$row['lat']=$pData['y'];
			$LocalizacionesAct[]=$row;
	}
	//print_r($LocalizacionesAct);	


	//falso dato

	$row['lon']='-58.87533569336';
	$row['lat']='-34.55833358768';
	$row['id']='2';
	$row['datos']='undato';
	$row['texto']='undtexto';
	$row['valor']='unvalor';		
	$LocalizacionesBase[]=$row;
	
	$row['lon']='-58.766992187501';
	$row['lat']='-34.573134613071';
	$row['datos']='undato';
	$row['id']='1';
	$LocalizacionesBase[]=$row;	
//print_r($LocalizacionesBase);	

// consulta puntos de la base colectiva de todas las actividades



	$Puntos['Activ']=$LocalizacionesAct;
	$Puntos['Base']=$LocalizacionesBase;
	//print_r($Puntos);	
	return $Puntos;
}
?>