<?php
/**
*MAPAactividad.php
*
*
* aplicacin para generar mapas para el dearrollo de una actividad, permitiendo la visualizacin y carga de puntos)
* 
* @package    	Plataforma Colectiva de Informacin Territorial: UBATIC2014
* @subpackage 	mapas
* @author     	Universidad de Buenos Aires
* @author     	<mario@trecc.com.ar>
* @author    	http://www.uba.ar/
* @author    	http://www.trecc.com.ar/recursos/proyectoubatic2014.htm
* @author		based on TReCC SA Procesos Participativos Urbanos, development. www.trecc.com.ar/recursos
* @copyright	2015 Universidad de Buenos Aires
* @copyright	esta aplicacin se desarrollo sobre una publicacin GNU 2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm), TReCC(tm) intraTReCC  y TReCC(tm) Procesos Participativos Urbanos.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
* 
*
*/
include('./includes/conexion.php');
include('./includes/conexionusuario.php');
include("./includes/fechas.php");
include("./includes/cadenas.php");

include("./includes/BASEconsultas.php");

$UsuarioI = $_SESSION['USUARIOID'];
if($UsuarioI==""){header('Location: ./login.php');}

// funcin de consulta de actividades a la base de datos 
include("./actividades_consulta.php");

$FILTRO=isset($_GET['filtro'])?$_GET['filtro']:'';

$MODO = $_GET['modo'];

$HOY=date("Y-m-d");
?>
<head>
	<title>Panel de control</title>
	<?php 
	include("./includes/meta.php");
	?>
		<link href="css/mapauba.css" rel="stylesheet" type="text/css">	
	 <style type='text/css'>
	 	body, input, form{
	 		font-size:10px;
	 		margin:0;
	 		overflow:hidden;
	 	}
	 	input{
	 		width:200px;
	 	}
	 	
	 	input[type='inputsubmit']{
	 		width:80px;
	 		display:block;
	 		margin:2px;
	 		margin-top:4px;
	 	}	 	
	 	input[readonly='readonly']{
	 		width:42px;
	 		display:inline;
	 		margin:0px;
	 		background-color:transparent;
	 		border:none;
	 	}
	 	
	 	label{
	 		margin-top:5px;
	 		display: inline-block;
	 		font-size:12px;
	 		font-weight:bold;
	 	}
	 a{
	 	display: inline-block;
	    max-height: 13px;
	    max-width: 110px;
	    overflow: hidden;
	 }
	 p{
	 	margin:0px;
	 }
 	 #divMapa { 
 	 	 
 	 	height: 300px; 
		border: none; 
		position: relative;
	}
	
	a.olControlZoomOut.olButton{
		font-size:10px;
		line-height:10px;
		width:13px;
	}
	a.olControlZoomIn.olButton{
		font-size:10px;
		line-height:10px;
		width:13px;
	}		
	div.olControlZoom.olControlNoSelect {
	    left: 3px;
	    top: 3px;
	}
	.olControlAttribution olControlNoSelect{
	 	bottom: 10px;
	}
	#modelos{
		display:none;
	}
	 </style>
	 
	
<?php

include_once('./BASEconsultas.php');

// define si se esta defininedo una argumentacin, de no ser as esta aplicacin solo devuelve un mensaje escrito
if(isset($_POST['actividad'])){
	$ActividadId=$_POST['actividad'];
	$ACCION = $_POST['accion'];
	$RID=$_POST['rid'];
	$_GET['rid']=$RID;

}elseif(isset($_GET['actividad'])){
	$ActividadId=$_GET['actividad'];
}else{
	$ActividadId='';
}
if($ActividadId==''){
	//header('location: ./actividades.php');	//si no hay una actividad definida esta pgina no debera consultarse
	echo "ERROR de Acceso 1";
	break;
}

if($_GET['rid']>0){
	$Registro=$_GET['rid'];
}

$query="
	SELECT `ACTaccesos`.`id`,
	    `ACTaccesos`.`id_actividades`,
	    `ACTaccesos`.`id_usuarios`,
	    `ACTaccesos`.`nivel`
	FROM `MAPAUBA`.`ACTaccesos`
	WHERE id_actividades='".$ActividadId."'
";
$Consulta = mysql_query($query,$Conec1);
echo mysql_error($Conec1);

while($row=mysql_fetch_assoc($Consulta)){
	$Accesos[$row['id_usuarios']]=$row['nivel'];
}


$Actividad=reset(actividadesconsulta($ActividadId,$seleccion));//carga los datos de la aactividad mediante esta funcion en atctividades_consulta.php

$Accesos[$Actividad['zz_AUTOUSUARIOCREAC']]='10';

//echo "<pre>";print_r($Actividad);echo "</pre>";

//print_r($Accesos);
if($Accesos[$UsuarioI]<1&&$Actividad['abierta']!='1'){
	//header('location: ./actividades.php');	//este usuario deber definir una actividad habilitada
	echo "ERROR de Acceso 2";
	break;
}

$_POST['x']=str_replace(",",".",$_POST['x']);
$_POST['y']=str_replace(",",".",$_POST['y']);

if($ACCION=="crear"){
	
	$query="
		INSERT INTO 
			`MAPAUBA`.`geodatos`
			SET
			`x`='".$_POST['x']."',
			`y`='".$_POST['y']."',
			`geometria`='".$_POST['geometria']."',
			`id_usuarios`='$UsuarioI',
			`id_actividades`='".$Actividad['id']."',
			`fecha`='$HOY'
	";
	
	$Consulta = mysql_query($query,$Conec1);
	$NID=mysql_insert_id($Conec1);
	
	echo "<div class='aux'>";
		echo mysql_error($Conec1);	
		echo "punto creado";
	echo "</div>";


	if($_POST['nuevacategoria']!=''){
		$query="
			INSERT INTO 
				`MAPAUBA`.`ACTcategorias`
				SET
					`id_p_actividades_id`='".$Actividad['id']."',
					`nombre`='".$_POST['nuevacategoria']."',
					`descripcion`='".$_POST['nuevacategoria']."'
			";			
		$Consulta = mysql_query($query,$Conec1);
		$_POST['categoria']=mysql_insert_id($Conec1);	
		echo "<div class='aux'>";
			echo mysql_error($Conec1);
			echo "categora creada $ncID";
			
			
			
		echo "</div>";	
	}

	$query="
		INSERT INTO 
			`MAPAUBA`.`atributos`
			SET
				`id`='$NID',
				`valor`='".$_POST['valor']."',
				`categoria`='".$_POST['categoria']."',
				`texto`='".$_POST['texto']."',
				`link`='".$_POST['link']."',
				`textobreve`='".$_POST['textobreve']."',
				`id_usuarios`='".$UsuarioI."',
				`id_actividades`='".$Actividad['id']."',
				`fecha`='".$HOY."',
				`escala`='".$_POST['escala']."',
				`nivelUsuario`='".$Usuario['nivel']."',
				`areaUsuario`='".$Usuario['area']."'
		";
	$Consulta = mysql_query($query,$Conec1);
	
	echo "<div class='aux'>";
		echo mysql_error($Conec1);
		echo "punto creado $NID";
		echo "
			<script type='text/javascript'>
			parent.window.location='./actividad.php?actividad=".$Actividad['id']."';
			</script>	
		";		
	echo "</div>";
		
}elseif($ACCION=="borrar"&&$Accesos[$UsuarioI]>='2'){
	// si el formulario de reingreso as lo defini modifica el registro como borrado
	$query="
		UPDATE 
			`MAPAUBA`.`geodatos`
		SET 							
			`zz_borrada`='1'
		WHERE
			id = '".$RID."'
			AND id_actividades='".$Actividad['id']."'
			AND `id_usuarios`='".$UsuarioI."'
	";
	
	$Consulta = mysql_query($query,$Conec1);

	echo mysql_error($Conec1);
	echo "<p>localizacion borrada:</p>";
	echo "
		<script type='text/javascript'>
		parent.window.location='./actividad.php?actividad=".$Actividad['id']."';
		</script>	
	";
		
	
}elseif($ACCION=="cambia"&&$Accesos[$UsuarioI]>='2'){
	// si el formulario de reingreso as lo defini modifica el registro como borrado
	$query="
		UPDATE 
			`MAPAUBA`.`geodatos`
		SET 							
			`x`='".$_POST['x']."',
			`y`='".$_POST['y']."',
			`geometria`='".$_POST['geometria']."',
			`fecha`='$HOY'
		WHERE
			id = '".$RID."'
			AND id_actividades='".$Actividad['id']."'
			AND `id_usuarios`='".$UsuarioI."'
	";
	
	
	$Consulta = mysql_query($query,$Conec1);
	echo mysql_error($Conec1);
	//echo "<p>localizacion modificada: $query</p>";
	
		
	if($_POST['nuevacategoria']!=''){
		$query="
			INSERT INTO 
				`MAPAUBA`.`ACTcategorias`
				SET
					`id_p_actividades_id`='".$Actividad['id']."',
					`nombre`='".$_POST['nuevacategoria']."',
					`descripcion`='".$_POST['nuevacategoria']."'
			";			
		$Consulta = mysql_query($query,$Conec1);
		$_POST['categoria']=mysql_insert_id($Conec1);	
		echo "<div class='aux'>";
			echo mysql_error($Conec1);
			echo "categora creada $ncID";
			
			
			
		echo "</div>";	
	}	


	
	
	$query="
		UPDATE 
			`MAPAUBA`.`atributos`
		SET 							
			`valor`='".$_POST['valor']."',
			`categoria`='".$_POST['categoria']."',
			`texto`='".$_POST['texto']."',
			`textobreve`='".$_POST['textobrev	e']."',
			`link`='".$_POST['link']."',
			`fecha`='".$HOY."',
			`escala`='".$_POST['escala']."',
			`nivelUsuario`='".$Usuario['nivel']."',
			`areaUsuario`='".$Usuario['area']."'
		WHERE
			id = '".$RID."'
			AND id_actividades='".$Actividad['id']."'
			AND `id_usuarios`='".$UsuarioI."'
	";
	
	$Consulta = mysql_query($query,$Conec1);

	echo mysql_error($Conec1);
	//echo "<p>atributos modificados: $query</p>";
	
	
}

	if($Actividad['zz_PUBLICO']!='1'&&$Actividad['zz_AUTOUSUARIOCREAC']!=$UsuarioI){
		echo "<h2>Error en el acceso, esta actividad no se encuentra an publicada y usted no se encuentra registrado como autor de la misma.</h2>";
		break;
	}
	
	//echo "<pre>";print_r($Actividad);"</pre>";
	$Puntos = obtenerPuntos($Actividad['id'],$Escala,$Actividad['nivel'],$Actividad['marco']);//de Baseconsultas.php
	//echo "<pre>";print_r($Puntos);"</pre>";
	// esta aplicacin utiliza las libreras de openlayers para mostrar un mapa interactivo que permite definir las localizacines
	?>
	<script language="javascript">
	   
		function configure() {
			var template = document.demo.template.options[document.demo.template.selectedIndex].value;
			var snippet = " TEMPLATE " + template;
	        document.demo.map_web.value = snippet;
			if(template.indexOf("frame") != -1) document.demo.action = "frames.html";
	        if(template.indexOf("dhtml") != -1) document.demo.action = "frames_dhtml.html";
	   }      
	</script>
	<script src="http://www.openlayers.org/api/OpenLayers.js"></script>		
		
	<script type="text/javascript">
	        // Definimos las variables globales 'mapa' y 'capa'
	        var mapa, capa, marcklayer, vectorLayer, areaLayer, baseLayer, nuevoLayer,  tempLayer, controls, drawPoint, point_style, _Area, resaltadoLayer;
	        

	        // Definimos una funcin que arranque al cargar la pgina
	        window.onload= function() {
	        	
	        	OpenLayers.Map.isValidZoomLevel = function(zoomLevel) {
				   return ( (zoomLevel != null) &&
				      (zoomLevel >= 0) && // set min level here, could read from property
				      (zoomLevel < this.getNumZoomLevels()) );
				}
	        	
	        	
	            // Creamos el mapa
	            var mapa = new OpenLayers.Map("divMapa", {
				        controls: [
				          //new OpenLayers.Control.Navigation(),
				            new OpenLayers.Control.ArgParser(),
				            new OpenLayers.Control.Attribution()
				        ],
				        maxResolution:0.07578125
					});
				
					
				a= new OpenLayers.Control.Navigation();
				mapa.addControl(a);
				
				
	            // Creamos una capa fondo con un servicio wms
	            var capa = new OpenLayers.Layer.WMS( 
	                "Base de calles OSM",
	                "http://full.wms.geofabrik.de/web/975d3dc24139f06ce8306f9353d28c10?", 
	                {layers: 'basic'},
	                {attribution:"Base OSM bajo servidor GEOFABRIK"}
	            );
	

           	var styleMapResalt = new OpenLayers.StyleMap({pointRadius: 6,fillColor:'#57f',strokeColor:'#25f', fillOpacity:1,});
           	//creamos capa de puntos resaltados que se llenar solo al resaltar un punto
	        resaltadoLayer = new OpenLayers.Layer.Vector("Puntos_resaltados", {styleMap: styleMapResalt})


           	var styleMap = new OpenLayers.StyleMap({pointRadius: 2,});	        
	 		//creamos capa de puntos de la base colectiva seleccionados para acompaar la visualizacin
	        baseLayer = new OpenLayers.Layer.Vector("Puntos Base", {styleMap: styleMap});
			
			console.log(baseLayer);
			
			<?php
			
				$minLat=min(180,$Actividad['y0']);
				$minLon=min(180,$Actividad['x0']);
				$maxLat=max(-180,$Actividad['y0']);
				$maxLon=max(-180,$Actividad['x0']);
				
				$minLat=min($minLat,$Actividad['y0']);
				$minLon=min($minLon,$Actividad['x0']);
				$maxLat=max($maxLat,$Actividad['y0']);
				$maxLon=max($maxLon,$Actividad['x0']);
				
				foreach($Puntos['Base'] as $LAid => $LAdata ){
					
					echo "
						var _li = parent.document.createElement('li');
						_li.setAttribute('id','P_'+".$LAdata['id'].");
						_li.setAttribute('title','P_'+'".$LAdata['texto']."');
						_li.setAttribute('onmouseOver','document.getElementById(\"mapa\").contentWindow.activarB(\"".$LAdata['id']."\");this.className=\"seleccionado\"');
						_li.setAttribute('onmouseOut','document.getElementById(\"mapa\").contentWindow.desactivarB(\"".$LAdata['id']."\");this.className=\"\"');
										
						
						_li.innerHTML='hola';						
						
						var _activ = parent.document.createElement('a');
						_activ.setAttribute('href','./iraactividad.php?id'+'".$LAdata['id_actividades']."');
						_activ.innerHTML='ir';
						_li.appendChild(_activ);
						
						parent.document.getElementById('puntosdebase').appendChild(_li);
						
						delete _li;
					";
					
					$minLat=min($minLat,$LAdata['lat']);
					$minLon=min($minLon,$LAdata['lon']);
					$maxLat=max($maxLat,$LAdata['lat']);
					$maxLon=max($maxLon,$LAdata['lon']);				
					echo "
						var point =
					        new OpenLayers.Geometry.Point(".$LAdata['lon'].", ".$LAdata['lat'].");
					    var pointFeature =
					        new OpenLayers.Feature.Vector(point, null);
						pointFeature.attributes = { 'valor' : '".$LAdata['valor']."', 'id': '".$LAdata['id']."', 'categoria': '".$LAdata['categoria']."'};	
						// Aadir el feature creado a la capa de puntos existentes       
						baseLayer.addFeatures(pointFeature);					
					//parent.document.getElementById('recuadro2').innerHTML=parent.document.getElementById('recuadro2').innerHTML+'<li>".$LAdata['lon'].", ".$LAdata['lat']." nuevo punto</li>';
					";		
				}	
				
				
				
				if($Actividad['categAct']=='1'){
					//definimos una regla de color por categora
					$uniques='';
					foreach($Actividad[ACTcategorias] as $cat){
						$uniques.=PHP_EOL."'".$cat['id']."': {strokeColor: '".$cat['CO_color']."',fillColor:'".$cat['CO_color']."'},";
					}
					$uniques=substr($uniques,0,-1).PHP_EOL;
					
					echo "
						var lookup = {
						  ".$uniques."
						}
						
						
						var defaultStyle = new OpenLayers.Style({
						  pointRadius: 6,fillColor:'#f92',strokeColor: '#f92',fillOpacity: '0.2'
						});
						
						var selectStyle = new OpenLayers.Style({
						  pointRadius: 8,fillColor:'#00f',strokeColor:'#00f'
						});
							        
	
						var styleMapCat = new OpenLayers.StyleMap({'default': defaultStyle, 'select': selectStyle});
						styleMapCat.addUniqueValueRules('default', 'categoria', lookup);					
						styleMapCat.styles.default.rules.push(new OpenLayers.Rule({
						    elseFilter: true
						}));
						
						
						//creamos capa de puntos de la actividad
	        			vectorLayer = new OpenLayers.Layer.Vector('puntos actividad',{styleMap: styleMapCat});
					";
				}else{
					echo  "
						vectorLayer = new OpenLayers.Layer.Vector('puntos actividad');
					";
				}
				

			echo "
			    parent.document.getElementById('puntosdeactividad').innerHTML='';	
			
				console.log('".count($Puntos['Activ'])."');
			";
			
				foreach($Puntos['Activ'] as $LAid => $LAdata ){
					if($LAdata['id']==$Registro){$rLAid=$LAid;}
					
					$minLat=min($minLat,$LAdata['lat']);
					$minLon=min($minLon,$LAdata['lon']);
					$maxLat=max($maxLat,$LAdata['lat']);
					$maxLon=max($maxLon,$LAdata['lon']);
							
					echo "
						var _li = parent.document.createElement('li');
						_li.setAttribute('id','P_'+".$LAdata['id'].");						
						_li.setAttribute('title','P_'+'".$LAdata['texto']."');
						_li.setAttribute('onmouseOver','document.getElementById(\"mapa\").contentWindow.activar(\"".$LAdata['id']."\");this.className=\"seleccionado\"');
						_li.setAttribute('onmouseOut','document.getElementById(\"mapa\").contentWindow.desactivar(\"".$LAdata['id']."\");this.className=\"\"');
						
						_mod=document.getElementById('modelopuntoactividad').cloneNode(true);
						_mod.childNodes[0].setAttribute('style','border-color:".$LAdata['categoriaCo'].";background-color:".$LAdata['categoriaCo'].";');
						
												
						var _activ = parent.document.createElement('a');
						_activ.setAttribute('href','./actividad.php?actividad='+'".$LAdata['id_actividades']."&registro=".$LAdata['id']."');
						
						_activ.appendChild(_mod);	
						
						
					";
					
					if($Actividad['valorAct']=='1'){
						echo "
							_activ.innerHTML=_activ.innerHTML+'".$LAdata['valor']." ';
						";
					}
					if($Actividad['categAct']=='1'){
						echo "
							_activ.innerHTML=_activ.innerHTML+'".$LAdata['categoriaTx']." ';
						";
					}
										
					echo "
						_activ.innerHTML=_activ.innerHTML+'<br><span class=\"autor\">".strtoupper($LAdata['Usuario']['nombre']." ".$LAdata['Usuario']['apellido'])."</span>';
						
						_li.appendChild(_activ);
						
						parent.document.getElementById('puntosdeactividad').appendChild(_li);
						
						delete _li;
					";
					
					
					echo "
						var point =
					        new OpenLayers.Geometry.Point(".$LAdata['lon'].", ".$LAdata['lat'].");
					    var pointFeature =
					        new OpenLayers.Feature.Vector(point, null);
						pointFeature.attributes = { 'valor' : '".$LAdata['valor']."', 'id': '".$LAdata['id']."', 'categoria': '".$LAdata['categoria']."'};		
						// Aadir el feature creado a la capa de puntos existentes       
						vectorLayer.addFeatures(pointFeature);			
					
					//parent.document.getElementById('recuadro3').innerHTML=parent.document.getElementById('recuadro3').innerHTML+'<li>".$LAdata['lon'].", ".$LAdata['lat']." nuevo punto</li>';
					
					";		
				}	
				$lon=($maxLon+$minLon)/2;
				$lat=($maxLat+$minLat)/2;
			?>

           	var styleMap2 = new OpenLayers.StyleMap({pointRadius: 4,fillColor:'#f92',strokeColor:'#f00'});
			//creamos capa de puntos de la actividad
            nuevoLayer = new OpenLayers.Layer.Vector("puntos Actividad", {styleMap: styleMap2});
            
            <?php
            if($Registro>0){
           		$prid=$Puntos['Activ'][$rLAid];
					echo "
						var point =
					        new OpenLayers.Geometry.Point(".$prid['lon'].", ".$prid['lat'].");
					    var pointFeature =
					        new OpenLayers.Feature.Vector(point, null);
						pointFeature.attributes = { 'valor' : '".$prid['valor']."', 'id': '".$prid['id']."'};		
						// Aadir el feature creado a la capa de puntos existentes       
						nuevoLayer.addFeatures(pointFeature);		
					";		
            }
            ?>

           	var styleMap3 = new OpenLayers.StyleMap({pointRadius: 3,fillColor:'#ff2',strokeColor:'#f55'})
			//creamos capa de puntos temporales antes de verificar si se encuentran dentro del rea de trabajo
	        tempLayer = new OpenLayers.Layer.Vector("Puntos temp", {styleMap: styleMap3});

	        
           	var styleMapArea = new OpenLayers.StyleMap({pointRadius: 2,fillColor:'#f92',strokeWidth:0.5,strokeColor:'#b00',fillOpacity:0})

			//creamos capa de rea de trabajo
			areaLayer = new OpenLayers.Layer.Vector("area", {styleMap: styleMapArea});
			
			
			<?php 
			if($Actividad['x0']===null||$Actividad['y0']===null||$Actividad['xF']===null||$Actividad['yF']===null){
				$Actividad['x0']=-57;
				$Actividad['y0']=-58;
				$Actividad['xF']=-35;
				$Actividad['yF']=-36;
			}
			?>
			//creamos area de carga			
			var _Poly =
		        new OpenLayers.Bounds(<?php echo $Actividad['x0'];?> , <?php echo $Actividad['y0'];?> , <?php echo $Actividad['xF'];?> , <?php echo $Actividad['yF'];?>).toGeometry();

		    var _Area  = [<?php echo $Actividad['x0'];?>, <?php echo $Actividad['yF'];?>, <?php echo $Actividad['xF'];?>,<?php echo $Actividad['y0'];?>];

		    var polyFeature =
		        new OpenLayers.Feature.Vector(_Poly, null);
		        	
		    // aadimos el rea a la capa correspondiente
		    areaLayer.addFeatures(polyFeature); 

            // Aadimos las capas al mapa
            mapa.addLayers([capa, areaLayer, resaltadoLayer, vectorLayer, baseLayer, tempLayer, nuevoLayer]);
            
            mapa.setLayerIndex(resaltadoLayer,99);
            mapa.setLayerIndex(vectorLayer,5);
			

	            // Fijamos centro y zoom
	            //mapa.zoomToMaxExtent();
	            console.log(_Area);
	             mapa.zoomToExtent(_Area);
	            
	            //mapa.setCenter(new OpenLayers.LonLat(<?php echo $lon.", ".$lat;?>), 3);
	            
	            <?php
	            if($_GET['consulta']=='marcarpuntos'||$_GET['consulta']==''){
	           		echo "
	           		
	 				mapa.addControl(new OpenLayers.Control.MousePosition());

   
					selectPoint=new OpenLayers.Control.SelectFeature( [vectorLayer, baseLayer], {
					    hover: true,
					    onSelect: function (feature) {
					    	console.log(feature.attributes);
					    	parent.document.getElementById('P_'+feature.attributes.id).className='seleccionado';			
					       //alert('este es el punto con id '+feature.attributes.id);
					        
					    },					
					    onUnselect: function (feature) {
					    	console.log(feature.attributes);
					    	parent.document.getElementById('P_'+feature.attributes.id).className='';						
					    }
					});			 
					mapa.addControl(selectPoint);				
					selectPoint.activate();

		
		            drawPoint=new OpenLayers.Control.DrawFeature(tempLayer,OpenLayers.Handler.Point);		            
					drawPoint.featureAdded = featAdded;
					mapa.addControl(drawPoint);
				
										
					tempLayer.events.register('beforefeatureadded', tempLayer, function (limpiar) {
		            tempLayer.removeAllFeatures();
					});
															
					drawPoint.activate();	
					
					
							
					";
				}elseif($_GET['consulta']=='creararea'){
						
	            echo "
	            
	            	mapa.addControl(new OpenLayers.Control.MousePosition());

 					drawPoint=new OpenLayers.Control.DrawFeature(areaLayer,OpenLayers.Handler.Point);
 					drawPoint.featureAdded = recAdded;
					mapa.addControl(drawPoint);
	            
		            areaLayer.events.register('beforefeatureadded', areaLayer, function (limpiar) {
		            areaLayer.removeAllFeatures();
					});
					
					drawPoint.activate();
					";			
					
				}

				?>				
	        }
	
	
	        function featAdded() {
	        						        	
	        	<?php
					        	
	        	echo"
	        		_minx='".min($Actividad['x0'],$Actividad['xF'])."';
	           		_maxx='".max($Actividad['x0'],$Actividad['xF'])."';
	           		
	           		_miny='".min($Actividad['y0'],$Actividad['yF'])."';
	           		_maxy='".max($Actividad['y0'],$Actividad['yF'])."';
	        	";
	        	?>
	        	
				
				if(_minx>drawPoint.handler.point.geometry.x||_miny>drawPoint.handler.point.geometry.y||_maxx<drawPoint.handler.point.geometry.x||_maxy<drawPoint.handler.point.geometry.y){
					
					alert('solo se pueden cargar puntos dentro del rea de trabajo');
					tempLayer.removeAllFeatures();
					
				}else{

					
					var _lat = parent.document.getElementById("y");				
					_lat.value=drawPoint.handler.point.geometry.y;
					var _lon = parent.document.getElementById("x");
					_lon.value=drawPoint.handler.point.geometry.x;
					
				
					var point =
				        new OpenLayers.Geometry.Point(drawPoint.handler.point.geometry.x, drawPoint.handler.point.geometry.y);
				    var pointFeature =
				        new OpenLayers.Feature.Vector(point, null);
			
					// Aadir el feature creado a la capa de puntos existentes     
					nuevoLayer.removeAllFeatures();  
					nuevoLayer.addFeatures(pointFeature);
					
					parent.document.getElementById('inputsubmit').style.display='block';
				}			
				
	        }
	        
	        //funcion para dibujar el rea de trabajo
	        _tog=0;
	        function recAdded(){
	        	
	        	if(_tog==0){
	        		_tog=1;
	        		_coordy0=drawPoint.handler.point.geometry.y;
	        		_coordx0=drawPoint.handler.point.geometry.x;
	        		
					areaLayer.removeAllFeatures();
					
					var point =
				        new OpenLayers.Geometry.Point(_coordx0, _coordy0);
				    var pointFeature =
				        new OpenLayers.Feature.Vector(point, null);
			
					// Aadir el feature creado a la capa de puntos existentes       
					areaLayer.addFeatures(pointFeature);			

	        		
	        	}else if(_tog==1){
	        		//document.getElementById('ref').value='guardar nuevo recorte';	
	        		_tog=0;
	        		_coordy1=drawPoint.handler.point.geometry.y;
	        		_coordx1=drawPoint.handler.point.geometry.x;	
	        		
	        		areaLayer.removeAllFeatures();
	        		
		        	var npoly =
				     new OpenLayers.Bounds(_coordx0,_coordy0 , _coordx1, _coordy1).toGeometry();
				    var npolyFeature =
				       new OpenLayers.Feature.Vector(npoly, null);	
				        		
					// A�adir el feature creado a la capa de puntos existentes       
					areaLayer.addFeatures(npolyFeature);
					
					parent.document.getElementById("C_x0").value=_coordx0;
					parent.document.getElementById("C_x0").className='cambiado';					
					parent.document.getElementById("C_y0").value=_coordy0;		
					parent.document.getElementById("C_y0").className='cambiado';													
					parent.document.getElementById("C_xF").value=_coordx1;
					parent.document.getElementById("C_xF").className='cambiado';									
					parent.document.getElementById("C_yF").value=_coordy1;	
					parent.document.getElementById("C_yF").className='cambiado';		
			      
	        		        		
	        	}
		}

	</script>	
	<script type='text/javascript'>
	
	//marca seleccionado el punto de la capa vectorLayer
	function activar(_id){
		
		//alert('hola');
		for (i = 0; i < vectorLayer.features.length; i++) {
		    
		    if(vectorLayer.features[i]['attributes']['id']==_id){
		    	_clon = vectorLayer.features[i].clone();
				// 'Paste' feature into Layer 1				
				resaltadoLayer.addFeatures([ _clon ]);		
				vectorLayer.features[i].destroy();    	
		    }
		}
	}
	
	//desmarca seleccionado el punto de la capa vectorLayer
	function desactivar(_id){
		
		//alert('hola');
		for (i = 0; i < resaltadoLayer.features.length; i++) {		    
		    if(resaltadoLayer.features[i]['attributes']['id']==_id){
		    	_clon = resaltadoLayer.features[i].clone();
				// 'Paste' feature into Layer 1
				
				vectorLayer.addFeatures([ _clon ]);	
				resaltadoLayer.removeAllFeatures();	    	
		    }
		}
	}
	
	//marca seleccionado el punto de la capa baseLayer	
	function activarB(_id){		
		//alert('hola');
		for (i = 0; i < vectorLayer.features.length; i++) {
		    
		    if(baseLayer.features[i]['attributes']['id']==_id){
		    	_clon = baseLayer.features[i].clone();
				// 'Paste' feature into Layer 1				
				resaltadoLayer.addFeatures([ _clon ]);		
				baseLayer.features[i].destroy();    	
		    }
		}
	}	
	//desmarca seleccionado el punto de la capa baseLayer		
	function desactivarB(_id){
		for (i = 0; i < resaltadoLayer.features.length; i++) {		    
		    if(resaltadoLayer.features[i]['attributes']['id']==_id){
		    	_clon = resaltadoLayer.features[i].clone();
				// 'Paste' feature into Layer 1				
				baseLayer.addFeatures([ _clon ]);	
				resaltadoLayer.removeAllFeatures();	    	
		    }
		}
	}		
	</script>	
	</head>
	<body>
	
	<div id="divMapa"></div>
	<div id='auxmapa'>Marque un nuevo punto en el mapa</div>
	
	<form method='POST' action='./argumentacionlocalizacion.php' enctype='multipart/form-data'>
	<input type='hidden' value='<?php echo $Actividad;?>' name='argumentacion'>
	<input type='hidden' value='<?php echo $_GET['localizacion'];?>' name='localizacion'>
	<input style='display:none;' type='button' value='confirmo borrar' onclick='this.parentNode.submit();'>
	</form>
	
	<div id='modelos'>
		<div id='modelopuntoactividad'><div class='punto'></div></div>
		
	</div>

</body>

