<?php 
/**
* actividades_consulta.php
*
* aplicacin que consulta el listado de actividades presentadas.
* 
* @package    	Plataforma Colectiva de Informacin Territorial: UBATIC2014
* @subpackage 	BASE
* @author     	Universidad de Buenos Aires
* @author     	<mario@trecc.com.ar>
* @author    	http://www.uba.ar/
* @author    	http://www.trecc.com.ar/recursos/proyectoubatic2014.htm
* @author		based on TReCC SA Procesos Participativos Urbanos, development. www.trecc.com.ar/recursos
* @copyright	2015 Universidad de Buenos Aires
* @copyright	esta aplicacin se desarrollo sobre una publicacin GNU 2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm), TReCC(tm) intraTReCC  y TReCC(tm) Procesos Participativos Urbanos.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
* 
*
*/

/**
* genera listado html de actividades
*
* @param int $ID id de la argumentacin. null devuelve la totalidad de actividades cargadas por este usuario o publicadas.
* @param int $seleccion permite definir modos de seleccin, algunos modos de seleccin pueder ser restringidos a ciertos tipos de usuarios.
* @return array Retorna el listado de actividades, sus imgenes y sus localizacines
*/
function actividadesconsulta($ID,$seleccion){

	global $UsuarioI, $PanelI, $FILTRO, $Freportedesde, $Freportehasta, $FILTROFECHAD, $FILTROFECHAH, $config, $Conec1;
	
	if(!isset($Freportedesde)){$Freportedesde = '9999-12-30';}
/*medicion de rendimiento lamp*/
	$starttimef = microtime(true);
	if(!isset($Freportehasta)||$Freportehasta=='0000-00-00'){$Freportehasta = '9999-12-30';}
	
	//consulta categorias utilizadas para la actividad seleccionada
	if($ID!=''){$andid = " AND `ACTcategorias`.`id_p_actividades_id` = '".$ID."'";}else{$andid='';}
	$query="
		SELECT
			`ACTcategorias`.`id`,
		    `ACTcategorias`.`id_p_actividades_id`,
		    `ACTcategorias`.`nombre`,
		    `ACTcategorias`.`descripcion`,
		    `ACTcategorias`.`orden`,
		    CO_color
		FROM `MAPAUBA`.`ACTcategorias`
		WHERE
			1=1
			$andid
		
		ORDER BY 
			`ACTcategorias`.`orden` ASC
	";
	$ConsultaACTclases = mysql_query($query,$Conec1);
	echo mysql_error($Conec1);	
	//echo $query;
	while($fila=mysql_fetch_assoc($ConsultaACTclases)){
		$ActCat[$fila['id_p_actividades_id']][$fila['id']]=$fila;
	}
	//print_r($ActCat);	

	
	//consulta categorias utilizadas para la actividad seleccionada
	if($ID!=''){$andid = " AND `ACTaccesos`.`id_actividades` = '".$ID."'";}else{$andid='';}
	$query="
		SELECT 
			`ACTaccesos`.`id`,
		    `ACTaccesos`.`id_actividades`,
		    `ACTaccesos`.`id_usuarios`,
		    `ACTaccesos`.`nivel`,
		    `ACTaccesos`.`autorizado`
		FROM `MAPAUBA`.`ACTaccesos`
		WHERE
			1=1
			$andid

	";
	$ConsultaACTaccesos = mysql_query($query,$Conec1);
	echo mysql_error($Conec1);	
	//echo $query;
	while($fila=mysql_fetch_assoc($ConsultaACTaccesos)){
		$ActAcc[$fila['id_actividades_id']]['acc']['editores'][$fila['id']]=$fila;
		$ActAcc[$fila['id_actividades_id']]['acc']['participantes'][$fila['id']]=$fila;		
	}
	//print_r($ActAcc);	
	
		
	
	// consulta las caractersticas de la actividad seleccionada	
	if($ID!=''){$andid = " AND `actividades`.`id` = '".$ID."'";}else{$andid='';}
	$query="
	 
		SELECT 
			`actividades`.`id`,
			`actividades`.`resumen`,
			`actividades`.`abierta`,
		    `actividades`.`consigna`,
		    `actividades`.`x0`,
		    `actividades`.`y0`,
		    `actividades`.`xF`,
		    `actividades`.`yF`,
		    `actividades`.`geometria`,
		    `actividades`.`valorAct`,
		    `actividades`.`valorDat`,
		    `actividades`.`valorUni`,	
		    `actividades`.`textobreveAct`,
		    `actividades`.`textobreveDat`,			    	    
		    `actividades`.`categAct`,
		    `actividades`.`categDat`,
		    `actividades`.`categLib`,
		    `actividades`.`textoAct`,
		    `actividades`.`textoDat`,
		    `actividades`.`objeto`,
		    `actividades`.`desde`,
		    `actividades`.`hasta`,
		    `actividades`.`resultados`,
		    `actividades`.`marco`,
		    `actividades`.`nivel`,
		    `actividades`.`zz_AUTOUSUARIOCREAC`,
		    `actividades`.`zz_AUTOFECHACREACION`,
		    `actividades`.`zz_PUBLICO`,
		    
		    usuarios.nombre as Unombre,
		    usuarios.apellido as Uapellido
		    
		FROM `MAPAUBA`.`actividades`	
		
		LEFT JOIN 
			usuarios
			ON usuarios.id = actividades.zz_AUTOUSUARIOCREAC
		
		WHERE
			(`zz_AUTOUSUARIOCREAC`='$UsuarioI'
			OR
			`actividades`.`zz_PUBLICO` ='1')
			
			$andid
		
		ORDER BY 
			`actividades`.`zz_AUTOFECHACREACION` DESC
	
	";	
	$ConsultaACT = mysql_query($query,$Conec1);
	echo mysql_error($Conec1);
	
	$query="
	SELECT `usuarios`.`id`,
	    `usuarios`.`nombre`,
	    `usuarios`.`apellido`,
	    `usuarios`.`organizacion`,
	    `usuarios`.`area`,
	    `usuarios`.`nivel`,
	    `usuarios`.`nacimiento`,
	    `usuarios`.`mail`,
	    `usuarios`.`telefono`,
	    `usuarios`.`log`
	FROM `MAPAUBA`.`usuarios`
	";	
	$ConsultaUsu = mysql_query($query,$Conec1);
	echo mysql_error($Conec1);
	
	while($fila=mysql_fetch_assoc($ConsultaUsu)){
		$Usuarios[$fila['id']]=$fila;		
	}
		
	
	echo mysql_error($Conec1);
	while($fila=mysql_fetch_assoc($ConsultaACT)){
					
				

					
			
		$cat['ACTcategorias']=array();
		$cat['ACTcategorias']=$ActCat[$fila['id']];
		
		$ACT[$fila['id']]=$fila;
		
		$a[0]=array_slice($fila,0,14);
		$a[1]=array_slice($fila,14);
		
		$ACT[$fila['id']]=array_merge($a[0],$cat,$a[1]);		
		
		$ACT[$fila['id']]['acc']=$ActAcc[$fila['id']]['acc'];		
		
		
		//echo "<pre>";print_r($ACT[$fila['id']]);echo "</pre>";
	}
	if($ID!=''&&mysql_num_rows($ConsultaARG)==0){
		$ACT[]['resumen']="error en la seleccin de la argumentacin";
	}	
	
	$query="
		SELECT `atributos`.`id`,
		    `atributos`.`valor`,
		    `atributos`.`categoria`,
		    `atributos`.`texto`,
		    `atributos`.`textobreve`, 
		    `atributos`.`link`,
		    `atributos`.`id_usuarios`,
		    `atributos`.`id_actividades`,
		    `atributos`.`fecha`,
		    `atributos`.`escala`,
		    `atributos`.`nivelUsuario`,
		    `atributos`.`areaUsuario`
		FROM `MAPAUBA`.`atributos`;
	";
	$ConsultaATT = mysql_query($query,$Conec1);
	echo mysql_error($Conec1);
	
	while($fila=mysql_fetch_assoc($ConsultaATT)){
		$ATT[$fila['id']]=$fila;		
	}
		
	$query="SELECT 
		`geodatos`.`id`,
	    `geodatos`.`x`,
	    `geodatos`.`y`,
	    `geodatos`.`geometria`,
	    `geodatos`.`id_usuarios`,
	    `geodatos`.`id_actividades`,
	    `geodatos`.`fecha`
	FROM `MAPAUBA`.`geodatos`
	where zz_borrada='0'
	";
	$ConsultaGEO = mysql_query($query,$Conec1);
	echo mysql_error($Conec1);

	
	while($fila=mysql_fetch_assoc($ConsultaGEO)){
		if(isset($ACT[$fila['id_actividades']])){
			$f=array_merge($fila,$ATT[$fila['id']]);
			$ACT[$fila['id_actividades']]['GEO'][$fila['id']]=$f;
			
			$ACT[$fila['id_actividades']]['GEO'][$fila['id']]['Usuario']=$Usuarios[$fila['id_usuarios']];
			
			$ACT[$fila['id_actividades']]['GEO'][$fila['id']]['categoriaTx']=$ActCat[$fila['id_actividades']][$ATT[$fila['id']]['categoria']]['nombre'];
			$ACT[$fila['id_actividades']]['GEO'][$fila['id']]['categoriaDes']=$ActCat[$fila['id_actividades']][$ATT[$fila['id']]['categoria']]['descripcion'];
			$ACT[$fila['id_actividades']]['GEO'][$fila['id']]['categoriaCo']=$ActCat[$fila['id_actividades']][$ATT[$fila['id']]['categoria']]['CO_color'];
		}		
	}	
	return $ACT;
}	


/**
* genera listado html de actividades
*
 * 
* @param int $ID id de la argumentacin. null devuelve la totaclidad de argumentacines cargadas por este usuario.
* @return string Retorna el listado en formato html
*/
function actividadeslistado($ID,$seleccion){
	global $UsuarioI, $PanelI, $FILTRO, $Freportedesde, $Freportehasta, $FILTROFECHAD, $FILTROFECHAH, $config;
	
	/* consulta array de argumentaicnes */
	$actividades = 	actividadesconsulta($ID,$seleccion);

	/* la cadeana $fila contendr cdigo HTLM */
	$fila="
	<div class='fila'>
		<div class='titulo dato descripcion'>
		Descripcin
		</div>
		<div class='titulo dato fecha'>
		Fecha
		</div>
		<div class='titulo dato autor'>
		Autor
		</div>
		<div class='titulo dato autor'>
		Acciones
		</div>
		<div class='titulo dato consigna'>
		Consigna
		</div>
		<div class='titulo dato resultado'>
		Resultados
		</div>
	</div>
	";
	$filas[]=$fila;	
	
	foreach($actividades as $actividad){
		if($actividad['resumen']!=''){$resumen=$actividad['resumen'];}else{$resumen="-vacio-";}	
			
		if($actividad['zz_PUBLICO']!='1'){$prelim='preliminar';$ptx='actividad a publicar<br>';}else{$prelim='';$ptx='';}				
		$fila="
			<div class='fila $prelim'>
				<div class='dato descripcion'>
					<a href='./actividad.php?actividad=".$actividad['id']."'>".$ptx.$resumen."</a>
				</div>	
				<div class='dato fecha'>
					".$actividad['desde']." ".$actividad['hasta']."
				</div>	
				<div class='dato autor'>
					".$actividad['Unombre']." ".$actividad['Uapellido']."
				</div>	
				<div class='dato autor'>
				0 -> ".count($actividad['GEO'])."
				</div>
		";

		$tx=substr($actividad['consigna'],0,300);
			
		$fila.= "<div title='".$actividad['consigna']."' class='dato consigna'>".substr($actividad['consigna'],0,300)."</div>";			
		
		if($HOY<$actividad['hasta']){
			$tx='-esta actividad permanece activa-';
		}else{
			$tx=$actividad['resultados'];
		}	
		$fila.= "<div class='dato resultado'>$tx</div>";
		
		
		$fila.=$datoloc;
		$fila.=	"</div>";
					

		$filas[]=$fila;
	}
	$resultado="";
	foreach($filas as $f){
		$resultado.=$f;
	}
	if(count($actividades)==0){
		$resultado='No se han registrado actividades.';
	}
	
	return $resultado;
}

?>